search
curl --request GET \
--url https://eth.blockscout.com/api/v2/searchimport requests
url = "https://eth.blockscout.com/api/v2/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://eth.blockscout.com/api/v2/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"address_url": "/address/0xdAC17F958D2ee523a2206206994597C13D831ec7",
"exchange_rate": "0.999813",
"icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
"is_smart_contract_verified": true,
"name": "Tether USD",
"symbol": "USDT",
"token_type": "ERC-20",
"token_url": "/token/0xdAC17F958D2ee523a2206206994597C13D831ec7",
"total_supply": "39030615894320966",
"type": "token",
"address_hash": "0xdAC17F958D2ee523a2206206994597C13D831ec7"
}
],
"next_page_params": {
"address_hash": "0x052Ad78E3aA0b0F2D3912FD3b50a9a289CF2f7Aa",
"block_hash": null,
"holders_count": 548,
"inserted_at": "2021-12-07T08:39:01.062253Z",
"item_type": "token",
"items_count": 50,
"name": "RealToken S 13245 Monica St Detroit MI",
"q": "1",
"transaction_hash": null
}
}API Reference
search
Deprecation Notice: Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the PRO API reference page for information.
GET
/
search
search
Query Parameters
Example:
"USDT"
Response
search response
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Example:
{
"address_hash": "0x052Ad78E3aA0b0F2D3912FD3b50a9a289CF2f7Aa",
"block_hash": null,
"holders_count": 548,
"inserted_at": "2021-12-07T08:39:01.062253Z",
"item_type": "token",
"items_count": 50,
"name": "RealToken S 13245 Monica St Detroit MI",
"q": "1",
"transaction_hash": null
}Was this page helpful?
⌘I